Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.querybuilder
Class BlockerQueryBuilder

    java.lang.Object
      com.sun.mdm.index.querybuilder.QueryBuilder
          com.sun.mdm.index.querybuilder.BlockerQueryBuilder

public class BlockerQueryBuilder
extends QueryBuilder

The Blocker is used to limit the amount of potential candidates the match engine has the work with. User configured filters are used to to retrieve a block of candidates.

Constructor Summary
`BlockerQueryBuilder()` Creates a new instance of BlockerQueryBuilder

Method Summary
`QueryObject` | `buildQueryObject(java.lang.String[] ids, SearchCriteria crit, SearchOptions opts)` See QueryBuilder
`java.lang.String[]` | `getApplicableQueryIds(SearchCriteria crit, SearchOptions opts)` See QueryBuilder
`void` | `init(ConfigurationInfo info)` See QueryBuilder

Methods inherited from class com.sun.mdm.index.querybuilder.QueryBuilder
`isPhoneticizeRequired, isStandardizeRequired, setPhoneticizeRequired, setStandardizeRequired`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BlockerQueryBuilder

    public BlockerQueryBuilder()
                        throws QueryBuilderException

  Creates a new instance of BlockerQueryBuilder

  Throws:
    `QueryBuilderException` - An error occured

Method Detail

### buildQueryObject

    public QueryObject buildQueryObject(java.lang.String[] ids,
                                        SearchCriteria crit,
                                        SearchOptions opts)
                                 throws QueryBuilderException

  See QueryBuilder

  Specified by:
    `buildQueryObject` in class `QueryBuilder`
  Parameters:
    `ids` - See QueryBuilder
    `crit` - See QueryBuilder
    `opts` - See QueryBuilder
  Returns:
    See QueryBuilder
  Throws:
    `QueryBuilderException` - See QueryBuilder

### getApplicableQueryIds

    public java.lang.String[] getApplicableQueryIds(SearchCriteria crit,
                                                    SearchOptions opts)
                                             throws QueryBuilderException

  See QueryBuilder

  Specified by:
    `getApplicableQueryIds` in class `QueryBuilder`
  Parameters:
    `crit` - See QueryBuilder
    `opts` - See QueryBuilder
  Returns:
    See QueryBuilder
  Throws:
    `QueryBuilderException` - See QueryBuilder

### init

    public void init(ConfigurationInfo info)
              throws QueryBuilderException

  See QueryBuilder

  Specified by:
    `init` in class `QueryBuilder`
  Parameters:
    `info` - See QueryBuilder
  Throws:
    `QueryBuilderException` - See QueryBuilder

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.